Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class FlatFileSignatureImpl

    java.lang.Object
      com.servingxml.components.flatfile.layout.FlatFileSignatureImpl

All Implemented Interfaces:
  FlatFileSignature

    public class FlatFileSignatureImpl

extends java.lang.Object
implements FlatFileSignature

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.layout.FlatFileSignature
`EMPTY_ARRAY`

Constructor Summary
`FlatFileSignatureImpl(Name recordTypeName, Name fieldName, SignatureMethod method, boolean validatationOn)`

Method Summary
`void` | `data(byte[] bytes, int start, int length)`
`void` | `readMetaRecord(ServiceContext context, Record parameters, Record record)`
`Record` | `updateMetaRecord(ServiceContext context, Record parameters, Record record)`
`void` | `validate(ServiceContext context, Record parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileSignatureImpl

    public FlatFileSignatureImpl(Name recordTypeName,
                                 Name fieldName,
                                 SignatureMethod method,
                                 boolean validatationOn)

Method Detail

### readMetaRecord

    public void readMetaRecord(ServiceContext context,
                               Record parameters,
                               Record record)

  Specified by:
    `readMetaRecord` in interface `FlatFileSignature`

### updateMetaRecord

    public Record updateMetaRecord(ServiceContext context,
                                   Record parameters,
                                   Record record)

  Specified by:
    `updateMetaRecord` in interface `FlatFileSignature`

### data

    public void data(byte[] bytes,
                     int start,
                     int length)

  Specified by:
    `data` in interface `FlatFileSignature`

### validate

    public void validate(ServiceContext context,
                         Record parameters)

  Specified by:
    `validate` in interface `FlatFileSignature`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD